# LocalObject.h File Reference

`#include "ace/Thread_Mutex.h"`
`#include "ace/Atomic_Op.h"`
`#include "Object.h"`
`#include "LocalObject.i"`

Include dependency graph for LocalObject.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA

## Classes

class | CORBA::LocalObject
class | TAO_Local_RefCounted_Object
| This class adds default reference counting to local objects. More...

## Typedefs

typedef LocalObject * | LocalObject_ptr
typedef TAO_Pseudo_Var_T< LocalObject > | LocalObject_var
typedef TAO_Pseudo_Out_T< LocalObject, LocalObject_var > | LocalObject_out

## Detailed Description

Id
  LocalObject.h,v 1.31 2005/11/02 07:13:03 ossama Exp

Header file for CORBA's base "LocalObject" type.

A "LocalObject" is an entity that can be the target of a local invocation. See the CORBA Component Model specification for details.

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>

## Typedef Documentation

typedef TAO_Pseudo_Out_T<LocalObject, LocalObject_var> CORBA::LocalObject_out

typedef LocalObject* CORBA::LocalObject_ptr

typedef TAO_Pseudo_Var_T<LocalObject> CORBA::LocalObject_var